
/*
 * If pif_LongInt is not present, then this library will fail to compile because of a lack of 32 bit
 * integers---which ChaCha20 needs. Again, we'll define an error here to make the source of that
 * issue clearer.
 */

#ifndef PIF_LONGINT_INCLUDED

#error pif_CryptoSuite.ChaCha20 is installed but pif_LongInt does not appear to be installed. \
The pif_CryptoSuite.ChaCha20 requires pif_LongInt in order to correctly implement the ChaCha20 \
encryption algorithm. If pif_LongInt is installed and this message has appeared in error, please \
add the line "#define PIF_LONGINT INCLUDED" in your DME before the inclusion of this library.

#endif